# Uses of Interface
org.eclipse.ecf.core.sharedobject.events.ISharedObjectEvent

Packages that use ISharedObjectEvent
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.events
org.eclipse.ecf.provider.generic

## Uses of ISharedObjectEvent in org.eclipse.ecf.core.sharedobject

Classes in org.eclipse.ecf.core.sharedobject that implement ISharedObjectEvent
Modifier and Type
Class
Description
`class`
`SharedObjectMsgEvent`
Event type to represent messages sent between shared objects
Methods in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObjectEvent
Modifier and Type
Method
Description
`void`
ISharedObjectConnector.`enqueue(ISharedObjectEvent event)`
Enqueue an ISharedObjectEvent to all the receivers for connector
`void`
ISharedObjectConnector.`enqueue(ISharedObjectEvent[] events)`
Enqueue a set of ISharedObjectEvents to all the receivers for connector

## Uses of ISharedObjectEvent in org.eclipse.ecf.core.sharedobject.events

Subinterfaces of ISharedObjectEvent in org.eclipse.ecf.core.sharedobject.events
Modifier and Type
Interface
Description
`interface`
`ISharedObjectCallEvent`
`interface`
`ISharedObjectCommitEvent`
`interface`
`ISharedObjectCreateResponseEvent`
`interface`
`ISharedObjectMessageEvent`
Classes in org.eclipse.ecf.core.sharedobject.events that implement ISharedObjectEvent
Modifier and Type
Class
Description
`class`
`RemoteSharedObjectCreateResponseEvent`
`class`
`RemoteSharedObjectEvent`
`class`
`SharedObjectCallEvent`
`class`
`SharedObjectCommitEvent`

## Uses of ISharedObjectEvent in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic with parameters of type ISharedObjectEvent
Modifier and Type
Method
Description
`void`
SOConnector.`enqueue(ISharedObjectEvent event)`
`void`
SOConnector.`enqueue(ISharedObjectEvent[] events)`
`protected void`
SOConnector.`fireEvent(ISharedObjectEvent event)`
`protected void`
SOConnector.`fireEvents(ISharedObjectEvent[] event)`